{% extends 'app_templates/detail.html' %} 


{% block detail_educationalcontent %}
<p class="header-paragraph">Course Description</p>
<p class="keep-paragraphs">{{ object.description }}</p>

<div class="spacer-div"></div>

<p class="header-paragraph">Lectures</p>

<!-- Listing of lectures --> 
<ul>
    {% for lecture in lectures %}

    <li class="lecture">
        <div class="float-right-container">
            <div>
                <strong>{{ lecture.title }}</strong>
            </div>
            <div>
                <a class="underlined-link margin-left" href="{% url appname|add:'_updatelecture' object.slug lecture.id %}">Edit</a>
                <a class="underlined-link margin-left" href="{% url appname|add:'_deletelecture' object.slug lecture.id %}">Delete</a>
            </div>                   
        </div>
        <div>
            <p class="keep-paragraphs"">{{ lecture.description }}</p>

            {% if lecture.video %}
            <a class="link-button" href="{{ lecture.video }}" target="_blank">Open video</a>
            {% endif %}
            {% if lecture.file %}
                {% if lecture.video %}
                <br>
                {% endif %}
                <a class="link-button" href="{{ lecture.file.url }}" download>Download PDF</a>
            {% endif %}
        </div>
    </li>
    {% endfor %}
</ul>

<br>
<a class="underlined-link" href="{% url appname|add:'_createlecture' object.slug %}">+ Add course content</a>
{% endblock %}
